Skip to main content
Version: 3.2.0

Get Person

GET

  

https://api.apptenticate.com/api/v3.2/biometrics/recognizer/persons/<id>/


This operation allows obtaining the information of a Person within the project assigned to the Recognizer service

Request parameters​

FieldTypeDescription
idintegerUnique identifier within Recognizer, this is the one that allows you to obtain, update or delete the person. Do not confuse with citizen_id

Request example​

Request
curl --location 'https://api.apptenticate.com/api/v3.2/biometrics/recognizer/persons/<id>/' \
--header 'Authorization: Bearer <jwt_token>' \

Response data​

If the person exists, the service will return a JSON object with the following structure:

FieldTypeDescription
idfileUnique identifier within Recognizer, this is the one that allows you to update or delete the person
citizen_idstringIdentity card or some unique identifier of the person
namestringPerson's name
imagestringPerson's image URL
is_blockedboolIndicates whether the person is blocked or not
created_atstringPerson's creation date
agreed_termsboolIndicates if the person accepted the Recognizer service terms and conditions

Example of successful response​

status_code: 201
{
"id": 47662684,
"citizen_id": "<identity card>",
"name": "<name>",
"image": "<image_url>",
"is_blocked": false,
"created_at": "2023-11-13T10:20:46.865685-05:00",
"agreed_terms": false
}

Example of response with rejection​

json title="status_code: 404 Not Found"